Remove Travis CI

All of these checks are now done by Cirrus, and Travis is being phased
out by Bitcoin Core.
pull/127/head
Jeremy Rand 3 years ago
parent a15146abca
commit 877aa6bfbd
No known key found for this signature in database
GPG Key ID: FD7550C2EB800711

@ -1,38 +0,0 @@
language: go
go:
- "1.x"
notifications:
irc:
channels:
- "chat.freenode.net#namecoin-dev"
on_success: never
addons:
apt:
packages:
- libyaml-libyaml-perl
- libtemplate-perl
- libio-handle-util-perl
- libio-all-perl
- libio-captureoutput-perl
- libjson-perl
- libpath-tiny-perl
- libstring-shellquote-perl
- libsort-versions-perl
- libdigest-sha-perl
- libdata-uuid-perl
- libdata-dump-perl
- libfile-copy-recursive-perl
- git
- runc
- mercurial
sudo: false
install:
- make submodule-update
script:
- ./.travis/check-project-tags
- ./.travis/check-tbb-tags

@ -1,61 +0,0 @@
#!/bin/bash
set -eu -o pipefail
shopt -s failglob
FAIL=0
for PROJECTPATH in ./projects/*
do
PROJECT=$(basename ${PROJECTPATH})
# Tor devs are in charge of their dependencies
if [[ -e "./tor-browser-build/projects/${PROJECT}" || "${PROJECT}" = goxcrypto* || "${PROJECT}" = goxnet* || "${PROJECT}" = goxsys* ]]
then
continue
fi
# Electrum devs are in charge of their dependencies
PROJECT_IS_ELECTRUM_DEP=1
grep "project: ${PROJECT}" ./projects/electrum-nmc/config > /dev/null || PROJECT_IS_ELECTRUM_DEP=0
if [ "$PROJECT_IS_ELECTRUM_DEP" = 1 ]
then
continue
fi
# x509-signature-splice branch depends on Go version, so it won't always be the latest
if [ "${PROJECT}" = "gox509signaturesplice" ]
then
continue
fi
GIT_REV=$(./rbm/rbm showconf ${PROJECT} git_hash)
GIT_URL=$(./rbm/rbm showconf ${PROJECT} git_url)
REMOTE_TAGS=$(git ls-remote --tags "${GIT_URL}")
if [ "${REMOTE_TAGS}" = "" ]
then
# There are no tags on the remote Git repo, so pretend HEAD is the latest.
LATEST_TAG=HEAD
else
LATEST_TAG=$(git ls-remote --tags "${GIT_URL}" | grep -v '\^{}' | awk '{print $2}' | awk -F"/" '{print $3}' | sort -V | tail --lines=1)
fi
LATEST_INFO=$(git ls-remote "${GIT_URL}" HEAD ${LATEST_TAG} ${LATEST_TAG}^{})
PROJECT_FAIL=0
echo "${LATEST_INFO}" | grep ${GIT_REV} > /dev/null || PROJECT_FAIL=1
if [ "${PROJECT_FAIL}" = 1 ]
then
FAIL=1
echo "${PROJECT}: rbm uses ${GIT_REV}, latest at remote ${GIT_URL} are:
${LATEST_INFO}"
fi
done
if [ "${FAIL}" = 1 ]
then
exit 1
fi
exit 0

@ -1,24 +0,0 @@
#!/bin/bash
set -eu -o pipefail
shopt -s failglob
FAIL=0
GIT_TAG=$(git submodule status tor-browser-build | awk '{print $3}')
GIT_URL=https://git.torproject.org/builders/tor-browser-build.git
LATEST_TAG=$(git ls-remote --tags "${GIT_URL}" | grep 'tbb' | grep -v '\^{}' | awk '{print $2}' | awk -F"/" '{print $3}' | sort -V | tail --lines=1)
if [ "${GIT_TAG}" != "(${LATEST_TAG})" ]
then
FAIL=1
echo "tor-browser-build: submodule uses ${GIT_TAG}, latest tag is ${LATEST_TAG}"
fi
if [ "${FAIL}" = 1 ]
then
exit 1
fi
exit 0
Loading…
Cancel
Save